# Class ArrayIndexOutOfBoundsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IndexOutOfBoundsException
java.lang.ArrayIndexOutOfBoundsException

All Implemented Interfaces:
  `Serializable`

public class ArrayIndexOutOfBoundsException extends java.lang.IndexOutOfBoundsException
Thrown to indicate that an array has been accessed with an illegal index. The index is either negative or greater than or equal to the size of the array. Since: JDK1.0, CLDC 1.0

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayIndexOutOfBoundsException()`
  Constructs an ArrayIndexOutOfBoundsException with no detail message.
  `ArrayIndexOutOfBoundsException(int index)`
  Constructs a new ArrayIndexOutOfBoundsException class with an argument indicating the illegal index.
  `ArrayIndexOutOfBoundsException(java.lang.String s)`
  Constructs an ArrayIndexOutOfBoundsException class with the specified detail message.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException()
    Constructs an ArrayIndexOutOfBoundsException with no detail message.

  - ### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException(int index)
    Constructs a new ArrayIndexOutOfBoundsException class with an argument indicating the illegal index. index - the illegal index.

  - ### ArrayIndexOutOfBoundsException

    public ArrayIndexOutOfBoundsException(java.lang.String s)
    Constructs an ArrayIndexOutOfBoundsException class with the specified detail message. s - the detail message.